load 00_relaxed_model_1_multimer_v2_pred_4.pdb
coloraf 00
# MDM2 is 522 AA long
# p53 is 390 AA long


# Take a look at the binding and how good is the predicted structure (plddt score)
select AFpep, resid 15-31 and 00 and chain B
iterate AFpep and name CA, print(b)

select AFbs, resid 83-98 and 00 and chain A
iterate AFbs and name CA, print(b)

# Define Selected Model (SM) so can be colored by chains
create SM, 00
color_cbcobj SM
cmd.disable('00_relaxed_model_1_multimer_v2_pred_4')


## PDBs for MDM2

# get 2LZG and super to SM (N-ter)
fetch 2LZG, async=0
super 2LZG, SM and name CA
select 2LZG and name CA
sele !00
color_cbcobj sele
center 2LZG
delete sele

# get 2C6B and super to SM (central)
fetch 2C6B, async=0
super 2C6B, SM and name CA
select 2C6B and name CA
sele !00
color_cbcobj sele
center 2C6B
delete sele

# secondary bs
select ssitA, SM and chain A and resid 327+328+329+330+332+333+347
show sticks, ssitA
select ssitB, SM and chain B and resid 171+172+236+238+239+271+272
show sticks, ssitB

# get 2VJF (C-ter)
fetch 2VJF, async=0
# Remove other chains
select 2VJF and !chain  A
remove sele
# Remove not protein
select 2VJF and not byres name CA
remove sele
# super 2VJF to SM
super 2VJF, SM and name CA
select 2VJF and name CA
sele !00
color_cbcobj sele
center 2VJF
delete sele


#PDBs for p53

# get 6XRE remove other chains and super to SM (Nter and Central)

fetch 6XRE, async=0
select 6XRE and not chain M
remove sele
select 6XRE and resid 12-61
create 6x_nt, sele
remove sele
#central
super 6XRE, SM and name CA
select 6XRE and name CA
center 6XRE
sele !00
color_cbcobj sele
#N-ter. Resid 12-61, this contains the aHelix that binds to the MDM2 (15-31), it will be wrongly superposed
align 6x_nt, SM and name CA and chain B
select 6x_nt and name CA
center 6x_nt
sele !00
color_cbcobj sele
delete sele
# you can see the structure of the binding helix in 6XRE (it is not an Helix here)
select 6x_nt and name CA and resid 15-31

# you can try to force the superposition in the right region, 
# but it will be wrongly aligned because the structures are different 
# despite the fact that they have the same sequence:
super 6x_nt, AFpep and name CA
select SM and chain B and resid 17-26 and name CA
iterate sele, print(resi, resn)
# 17 GLU
# 18 THR
# 19 PHE
# 20 SER
# 21 TYR
# 22 LEU
# 23 TRP
# 24 GLU
# 25 LEU
# 26 LEU
select 6x_nt and name CA and resid 37-46
iterate sele, print(resi, resn)
# 37 SER
# 38 GLN
# 39 ALA
# 40 MET
# 41 ASP
# 42 ASP
# 43 LEU
# 44 MET
# 45 LEU
# 46 SER

# get 1DT7 remove other chains and super to SM (c-ter)
fetch 1DT7, async=0
select 1DT7 and not chain X
remove sele
align 1DT7, SM and name CA
select 1DT7 and name CA
center 1DT7
sele !00
color_cbcobj sele
delete sele

#PDBs for the binding
fetch 3EQS, async=0
select 3EQS and not byres name CA
remove sele
super 3EQS, SM and name CA
select 3EQS and name CA
select 3EQS and name CA and chain A
select 3EQS and name CA and chain B
center 3EQS
select not 00
color_cbcobj sele
delete sele







